--[[
Lua base library with the following modifications:

require() -- does not work properly with relative paths (FIXME)
loadmodule(name, kind = "*") -- tries to load the module called name
	there are several kinds of modules:
	- internal: these are specific to foobar2000
	- external: normal Lua binary modules (see http://lua-users.org/wiki/LuaBinaryModules)
	loadmodule tries internal modules first, then external modules. set the kind parameter to
	"internal" or "external" to restrict the kind of modules loadmodule may load. the default
	is "*", so that any kind of module may be loaded.
testmodule(name, kind = "*") -- tests if a module called name is available
	see loadmodule for description of parameters.
print() -- outputs to foobar2000 console
]]
