assert(loadmodule("fb2k.config"))

function listvars(iter, s)
	for name in iter() do
		local _, lib, desc
		_, _, desc = utf8.find(name, "^"..s..":(.-)$")
		if desc then
			print(desc)
		else
			_, _, lib, desc = utf8.find(name, "^(.-)/"..s..":(.-)$")
			if lib and desc then
				print(lib, "/", desc)
			end
		end
	end
end

print("--- Titleformatting strings ---")
listvars(fb2k.config.strings, "titleformat")
print("--- Colors ---")
listvars(fb2k.config.ints, "color")
