--[[
console-test.lua
]]

LUA_PATH = "?.lua"

require "common"

printer = fb2k.console.printer()
print = printer.print

-- uncomment the following line to have all output in the clipboard (only if the script terminates normally)
--want_text_in_clipboard = true


-- the main program
function main()
    -- announce ourselves
    fb2k.console.popup()
    print("now running: console-test.lua")
    
    print("fb2k.console.present() returned " .. tostring(fb2k.console.present()))
    print("fb2k.console.popup() and fb2k.console.info() seem to work")
    fb2k.console.warning("as do fb2k.console.warning()")
    fb2k.console.error("and fb2k.console.error()")
    print("testing fb2k.console.beep()...")
    fb2k.console.beep()
    
    -- copy all output to clipboard
    if want_text_in_clipboard then
        printer.copy()
    end
end

main()
