--[[
playlist-test.lua
]]

assert(loadmodule("fb2k.playlist"))

function wait_user(msg)
    dialog.messagebox(msg,"Playlist test",dialog.MB_OK,dialog.MB_ICONINFORMATION)
end

-- the main program
function main()
    print("now running: playlist-test.lua")
    
    local location = "silence://10"
    
    wait_user("The script will now add the following location to the active playlist:\n\n"
        ..location.."\n\n"
        .."Click OK to continue.")
    
    fb2k.playlist.add_location(location)
    
    wait_user("The script will now remove the previously added location from the playlist.\n\n"
        .."Click OK to continue.")
    
    local n = fb2k.playlist.get_count()
    fb2k.playlist.remove_item(n)
end

main()
