--[[
require-test.lua

testing the require function from base library
]]

--LUA_PATH = "?;?.lua"

console.popup()
console.info("testing require...")
-- include.lua will fail to load because we used the wrong name
console.info("require should fail because of check in loaded package")
if require "include.lua" then
    console.info("OK")
else
    console.info("failed")
end
-- include.lua will load now
console.info("require should succeed")
if require "include" then
    console.info("OK")
else
    console.info("failed")
end
-- this will produce an error
console.info("require should fail with error because of missing package")
require "bogus"
console.info("we should not get here...")
