--[[*
Preferences for dbstats.lua.

@file dbstats-prefs.lua
]]

-- whether the user should be prompted for a template file
-- if set to 'no', it will always use the default path (see below).
-- if set to 'builtin', the builtin template will be used without further interrogation.
-- allowed values: 'yes', 'no', 'builtin', nil (for default)
-- default: 'yes'
prefs.choose_template_file = 'no'

-- default path to template
-- allowed values: string with path, nil
-- default: nil
prefs.template_file = _SCRIPTDIR..'albumlist.lhtml'

-- whether the script should ask were to store the generated HTML
-- if set to 'no', it will always use the default path (see below).
-- allowed values: 'yes', 'no', nil (for default)
-- default: 'yes'
prefs.choose_output_file = 'no'

-- default path to store the generated HTML
-- allowed values: string with path, nil
-- default: nil
prefs.output_file = _SCRIPTDIR..'albumlist.txt'
