--[[
file library

file.open(name, mode) -- name can be any URL that can be opened by foobar2000;
	for mode see see stream.MODE_* values below; returns a stream object, or nil and an error message
	attention: the returned stream will not be released by the garbage collector!

stream.MODE_READ, stream.MODE_WRITE_NEW, stream.MODE_WRITE_EXISTING -- mode constants

stream:release() -- releases the returned stream, call only once
stream:read(count) -- reads count bytes and returns them as a string
stream:write(s) -- writes the string s; returns number of bytes written
stream:seek(pos) -- seeks to position pos (first byte has pos == 0); returns true on success/false on failure
stream:get_length() -- returns length in bytes/nil on unseekable streams
stream:get_position() -- returns offset from start of file/nil on unseekable streams
]]
