--[[
fb2k.menu library

-- these functions return true, when the command has been run
fb2k.menu.run_command(name)
fb2k.menu.run_command_context(name, data) -- data is a (Lua) list of metadb_handle objects
fb2k.menu.run_command_context_playlist(name)

-- these functions return true, when the command exists
fb2k.menu.test_command(name)
fb2k.menu.test_command_context(name)

-- these commands return true, when the command is checked
fb2k.menu.is_command_checked(name)
fb2k.menu.is_command_checked_context(name, data) -- data is a (Lua) list of metadb_handle objects
fb2k.menu.is_command_checked_context_playlist(name)

-- these commands return iterator functions for iterating over command names
-- use like this: for cmd in fb2k.main_menu_commands() do sth(cmd) end
fb2k.menu.main_menu_commands()
fb2k.menu.context_menu_commands()
]]
