--[[
fb2k.metadb library

Unless noted otherwise, all indices are 1-based.

fb2k.metadb.get_all_entries() -- returns list of all entries as metadb_handle objects

metadb_handle:get_length() -- returns length as number
metadb_handle:get_location() -- returns path as string and subsong as 1-based index
metadb_handle:format_title(spec) -- returns string
metadb_handle:query(dbonly = false) -- returns file_info object
metadb_handle:hint(file_info)
metadb_handle:update_info(file_info = nil, dbonly = false) -- returns false in case of error, otherwise returns two values, the first one being true, the second is a boolean indicating whether update is pending
metadb_handle:flush_info() -- try to reload info from file
metadb_handle:entry_dead() -- report dead file to database
metadb_handle:user_requested_remove()

file_info:get_location() -- returns path as string and subsong as 1-based index
file_info:set_location(path, subsong = 1)
file_info:get_length() -- returns length as number
file_info:set_length(length)

file_info:meta_get_count() -- returns number of metadata items
file_info:meta_enum(index) -- returns name and value; returns nil if index is not valid
file_info:meta_get(name, index = 1) -- returns string, if name, index combination is valid, nil otherwise
file_info:meta_set(name, value)
file_info:meta_remove(index)
file_info:meta_remove_all()
file_info:meta_remove_field(name)
file_info:meta_add(name, value)

file_info:info_get_count() -- returns number of tech info items
file_info:info_enum(index) -- returns name and value; returns nil if index is not valid
file_info:info_get(name) -- returns string
file_info:info_set(name, value)
file_info:info_remove(index)
file_info:info_remove_all()
file_info:info_remove_field(name)
file_info:format_title(spec) -- returns string

]]
