--[[
randsel.lua

randomizes the selection in the playlist
(useful? no, but shows how to use the playlist)
]]

function main()
    -- get number of items in playlist
    local count = playlist.get_count()
    
    -- initialize random number generator
    math.randomseed(count+4711)

    local n = 1
    local state
    local mask = {}
    while n <= count do
        state = math.random(0,1) > 0 or false
        --playlist.set_sel(n,state)
        mask[n] = state
        n = n+1
    end
    playlist.set_sel_mask(mask,mask)
end

main()
